format_version: v1.0
type: UniqueComponent
attributes: {id: tc1}
children:
- type: Symbols
  children:
  - type: String
    attributes: {id: COMPARE_SET_API_NAME}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: tc1, value: TC1_Timer16bitCompareSet}
  - type: String
    attributes: {id: COUNTER_GET_API_NAME}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: tc1, value: TC1_Timer16bitCounterGet}
  - type: String
    attributes: {id: PERIOD_SET_API_NAME}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: tc1, value: TC1_Timer16bitPeriodSet}
  - type: Long
    attributes: {id: TC_COMPARE_CC0}
    children:
    - type: Attributes
      children:
      - type: Long
        attributes: {id: max}
        children:
        - {type: Value, value: '65535'}
  - type: Long
    attributes: {id: TC_COMPARE_CC1}
    children:
    - type: Attributes
      children:
      - type: Long
        attributes: {id: max}
        children:
        - {type: Value, value: '24'}
  - type: Long
    attributes: {id: TC_COMPARE_PERIOD}
    children:
    - type: Attributes
      children:
      - type: Long
        attributes: {id: max}
        children:
        - {type: Value, value: '65535'}
  - type: Comment
    attributes: {id: TC_COMPARE_PERIOD_COMMENT}
    children:
    - type: Attributes
      children:
      - type: String
        attributes: {id: text}
        children:
        - {type: Value, value: '**** Compare Period is 750000.0 us ****'}
  - type: KeyValueSet
    attributes: {id: TC_CTRLA_MODE}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '0'}
  - type: KeyValueSet
    attributes: {id: TC_CTRLA_PRESCALER}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '7'}
  - type: Boolean
    attributes: {id: TC_CTRLA_RUNSTDBY}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: 'true'}
  - type: Integer
    attributes: {id: TC_FREQUENCY}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: tc1, value: '32'}
  - type: Comment
    attributes: {id: TC_Resolution}
    children:
    - type: Attributes
      children:
      - type: String
        attributes: {id: text}
        children:
        - {type: Value, value: '****Timer resolution is 31250000.0 nS****'}
  - type: Long
    attributes: {id: TC_TIMER_PERIOD}
    children:
    - type: Attributes
      children:
      - type: Long
        attributes: {id: max}
        children:
        - {type: Value, value: '65535'}
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: tc1, value: '32'}
  - type: Float
    attributes: {id: TC_TIMER_TIME_MS}
    children:
    - type: Attributes
      children:
      - type: Float
        attributes: {id: max}
        children:
        - {type: Value, value: '2048000.0'}
    - type: Values
      children:
      - type: User
        attributes: {value: '1000.0'}
  - type: String
    attributes: {id: TIMER_PERIOD_MAX}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: tc1, value: '65535'}
  - type: Integer
    attributes: {id: TIMER_WIDTH}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: tc1, value: '16'}
- type: ElementPosition
  attributes: {x: '495', y: '149', id: tc1}
